Loading...
Searching...
No Matches
Dune::Amg::GraphEdgePropertiesSelector< G > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

Wrapper to access the internal vertex properties of a graph via operator[](). More...

`#include <dune/istl/paamg/graph.hh>`

## Public Types

typedef G | Graph
| The type of the graph with internal properties.
typedef G::EdgeProperties | EdgeProperties
| The type of the vertex properties.
typedef G::EdgeDescriptor | Edge
| The edge descriptor.

## Public Member Functions

| GraphEdgePropertiesSelector (G &g)
| Constructor.
| GraphEdgePropertiesSelector ()
| Default constructor.
EdgeProperties & | operator[] (const Edge &edge) const
| Get the properties associated to a vertex.

## Detailed Description

template<typename G>
class Dune::Amg::GraphEdgePropertiesSelector< G >

Wrapper to access the internal vertex properties of a graph via operator[]().

## Member Typedef Documentation

## Edge

template<typename G>

typedef G::EdgeDescriptor Dune::Amg::GraphEdgePropertiesSelector< G >::Edge

The edge descriptor.

## EdgeProperties

template<typename G>

typedef G::EdgeProperties Dune::Amg::GraphEdgePropertiesSelector< G >::EdgeProperties

The type of the vertex properties.

## Graph

template<typename G>

typedef G Dune::Amg::GraphEdgePropertiesSelector< G >::Graph

The type of the graph with internal properties.

## Constructor & Destructor Documentation

## GraphEdgePropertiesSelector() [1/2]

template<typename G>

Dune::Amg::GraphEdgePropertiesSelector< G >::GraphEdgePropertiesSelector | ( | G & | g | ) |

inline

Constructor.

Parameters

  g | The graph whose properties we access.

## GraphEdgePropertiesSelector() [2/2]

template<typename G>

Dune::Amg::GraphEdgePropertiesSelector< G >::GraphEdgePropertiesSelector | ( |  | ) |

inline

Default constructor.

## Member Function Documentation

## operator[]()

template<typename G>

EdgeProperties & Dune::Amg::GraphEdgePropertiesSelector< G >::operator[] | ( | const Edge & | edge | ) | const

inline

Get the properties associated to a vertex.

Parameters

  edge | The edge whose Properties we want.

The documentation for this class was generated from the following file:

- graph.hh